> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/82.-astalam-astaadh-ahdath-alashtrak.md).

# 82. استعلام: استعادة أحداث الاشتراك

من الجيد دائمًا إتاحة إمكانية استعادة/إعادة فحص أحداث الاشتراك المرسلة مقابل المنتجة. لذلك تقوم GeoPard بتخزين سجل كل أحداث الاشتراك المنتجة لـ **آخر 12 شهرًا**.&#x20;

الحالات الشائعة:&#x20;

* اتصال إنترنت سيئ ولم تُسلم الأحداث
* إعادة نشر مستمع WebSocket
* فحص التناسق بين الأحداث المستلمة مقابل المنتجة

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

مرشحات الإدخال المدعومة:

* `dateFrom` كتاريخ-زمن بصيغة ISO 8701 (مثال: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` كتاريخ-زمن بصيغة ISO 8701 (مثال: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` كمصفوفة من معرفات UUID لـ"المزرعة" للبحث
* `fieldUuids` كمصفوفة من معرفات UUID لـ"الحقل" للبحث&#x20;
* `userUuids` كمصفوفة من UUIDs للمستخدمين للبحث
* `eventUuids` كمصفوفة من معرفات UUID لأحداث الاشتراك

{% hint style="info" %}
تعمل كل عوامل التصفية كمنطق **AND**.
{% endhint %}

{% hint style="info" %}
كل حدث اشتراك له سمة `executionDate` مرتبطة بلحظة الإرسال بصيغة AWSDateTime المتوافقة مع ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/82.-astalam-astaadh-ahdath-alashtrak.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
